geowallet
  1. Person to Business (P2B)
geowallet
  • Overview
  • Authentication
  • APIs
    • Ledger Balance
      • Get Balance of all ledgers
      • Get Balance for a single currency
    • Create a Quotation
      • quotations
    • Create a Transaction
      • Transaction
    • Transaction Query
      • Transaction Query
    • Transaction Status Webhook
  • Business Transaction API
    • Business to Business (B2B)
      • Transaction
    • Business to Person (B2P)
      • Transaction
    • B2P to mobile wallet
      • Transaction
    • Person to Business (P2B)
      • Transaction
        POST
    • Request parameter list
  • Response Codes & Messages
    • Generic Response
    • Beneficiary Validation Responses
    • Quote Response
    • Remit Response
  • Purpose, Source of Funds, and Relationship
    • P2P Purpose for Transaction
    • P2P Source of Funds
    • P2P Relationship
    • Person to Business
    • Business to Person
    • Business to Business
  • Country Specific Parameters list
  • Country Specific Recipient Documents
  • GeoSwift Verify (GSV)
  • About Us
  1. Person to Business (P2B)

Transaction

Developing
POST
/api/v1/transactions

Request

Body Params application/jsonRequired

Example
{
    "currency": "NGN",
    "type": "p2b",
    "requestDate": "2026-03-02T18:35:10.000Z",
    "amount": "210000.50",
    "descriptionText": "Payment for office equipment order #EQ-2026-0302",
    "transactionReference": "GSWIFT_P2B_US_NG_260302183510",
    "sendingAmount": "230.75",
    "payinCcyCode": "USD",
    "provider": "23490",
    "paymentMode": "Bank account",
    "authenticationPartnerCode": "AUTH77302",
    "paymentOption": "Account Credit",
    "sendingPartnerCode": "SP20260302INDV",
    "receivingPartnerCode": "RP20260302NG_CORP",
    "kidNumber": "KID260302183510002",
    "debitParty": [
        {
            "key": "msisdn",
            "value": "+14155559876"
        }
    ],
    "creditParty": [
        {
            "key": "bankaccountno",
            "value": "0639876543"
        },
        {
            "key": "sortcode",
            "value": "GTBINGLA"
        },
        {
            "key": "organisationid",
            "value": "Guaranty Trust Bank"
        },
        {
            "key": "banksubcode",
            "value": "058"
        },
        {
            "key": "bankBranchName",
            "value": "Victoria Island Branch"
        },
        {
            "key": "accountName",
            "value": "AfriTech Solutions Ltd"
        },
        {
            "key": "accountIBAN",
            "value": ""
        },
        {
            "key": "accountAdditionalNo1",
            "value": "GTB/NG/0639876543/VI"
        }
    ],
    "senderKyc": {
        "nationality": "US",
        "dateOfBirth": "1985-09-14",
        "gender": "M",
        "primaryContactCountryCode": "US",
        "primaryContactNo": "14155559876",
        "primaryContactNoType": "personal",
        "idDocument": [
            {
                "idType": "passport",
                "idNumber": "US987654321",
                "issueDate": "2020-03-10",
                "expiryDate": "2030-03-09",
                "issuerCountry": "US"
            }
        ],
        "postalAddress": {
            "addressLine1": "101 California Street",
            "addressLine2": "Suite 2500",
            "addressLine3": "",
            "city": "San Francisco",
            "stateProvince": "California",
            "postalCode": "94111",
            "country": "US"
        },
        "subjectName": {
            "title": "Mr.",
            "firstName": "Daniel",
            "middleName": "Robert",
            "lastName": "Miller",
            "fullName": "Daniel Robert Miller"
        }
    },
    "recipientKyc": {},
    "internationalTransferInformation": {
        "quoteId": "GSQT260302183510P2B",
        "receivingCountry": "NG",
        "remittancePurpose": "Goods Payment",
        "sourceOfFunds": "Personal Savings",
        "relationshipSender": "Customer"
    },
    "business": {
        "senderKyc": {},
        "recepientKyc": {
            "businessName": "AfriTech Solutions Limited",
            "businessPINCode": "ATL-PIN-987654",
            "businessAddress1": "Plot 12, Idowu Taylor Street",
            "businessAddress2": "Victoria Island",
            "businessAddressCity": "Lagos",
            "businessAddressState": "Lagos",
            "businessAddressCountryCode": "NG",
            "businessAddressZip": "101241",
            "businessPrimaryContactCountryCode": "NG",
            "businessPrimaryContactNo": "2348056789012",
            "businessPrimaryContactNoType": "Mobile",
            "businessDescription": "IT Equipment & Office Supplies Distribution",
            "businessEmail": "accounts@afritechsolutions.ng",
            "businessCountryCode": "NG",
            "businessRegistrationType": "Private Limited Company",
            "businessRegistrationNumber": "RC-7654321",
            "businessRegistrationIssuedBy": "Corporate Affairs Commission (CAC)",
            "businessRegistrationIssuedAt": "Abuja",
            "businessRegistrationIssueDate": "2017-06-18",
            "businessIDValidThru": "2037-06-18",
            "typeofbusiness": "Wholesale Trade",
            "businessPObox": "P.O. Box 67890",
            "businessMobile": "2348056789012"
        }
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'http://prod-cn.your-api-server.com/api/v1/transactions' \
--header 'Content-Type: application/json' \
--data-raw '{
    "currency": "NGN",
    "type": "p2b",
    "requestDate": "2026-03-02T18:35:10.000Z",
    "amount": "210000.50",
    "descriptionText": "Payment for office equipment order #EQ-2026-0302",
    "transactionReference": "GSWIFT_P2B_US_NG_260302183510",
    "sendingAmount": "230.75",
    "payinCcyCode": "USD",
    "provider": "23490",
    "paymentMode": "Bank account",
    "authenticationPartnerCode": "AUTH77302",
    "paymentOption": "Account Credit",
    "sendingPartnerCode": "SP20260302INDV",
    "receivingPartnerCode": "RP20260302NG_CORP",
    "kidNumber": "KID260302183510002",
    "debitParty": [
        {
            "key": "msisdn",
            "value": "+14155559876"
        }
    ],
    "creditParty": [
        {
            "key": "bankaccountno",
            "value": "0639876543"
        },
        {
            "key": "sortcode",
            "value": "GTBINGLA"
        },
        {
            "key": "organisationid",
            "value": "Guaranty Trust Bank"
        },
        {
            "key": "banksubcode",
            "value": "058"
        },
        {
            "key": "bankBranchName",
            "value": "Victoria Island Branch"
        },
        {
            "key": "accountName",
            "value": "AfriTech Solutions Ltd"
        },
        {
            "key": "accountIBAN",
            "value": ""
        },
        {
            "key": "accountAdditionalNo1",
            "value": "GTB/NG/0639876543/VI"
        }
    ],
    "senderKyc": {
        "nationality": "US",
        "dateOfBirth": "1985-09-14",
        "gender": "M",
        "primaryContactCountryCode": "US",
        "primaryContactNo": "14155559876",
        "primaryContactNoType": "personal",
        "idDocument": [
            {
                "idType": "passport",
                "idNumber": "US987654321",
                "issueDate": "2020-03-10",
                "expiryDate": "2030-03-09",
                "issuerCountry": "US"
            }
        ],
        "postalAddress": {
            "addressLine1": "101 California Street",
            "addressLine2": "Suite 2500",
            "addressLine3": "",
            "city": "San Francisco",
            "stateProvince": "California",
            "postalCode": "94111",
            "country": "US"
        },
        "subjectName": {
            "title": "Mr.",
            "firstName": "Daniel",
            "middleName": "Robert",
            "lastName": "Miller",
            "fullName": "Daniel Robert Miller"
        }
    },
    "recipientKyc": {},
    "internationalTransferInformation": {
        "quoteId": "GSQT260302183510P2B",
        "receivingCountry": "NG",
        "remittancePurpose": "Goods Payment",
        "sourceOfFunds": "Personal Savings",
        "relationshipSender": "Customer"
    },
    "business": {
        "senderKyc": {},
        "recepientKyc": {
            "businessName": "AfriTech Solutions Limited",
            "businessPINCode": "ATL-PIN-987654",
            "businessAddress1": "Plot 12, Idowu Taylor Street",
            "businessAddress2": "Victoria Island",
            "businessAddressCity": "Lagos",
            "businessAddressState": "Lagos",
            "businessAddressCountryCode": "NG",
            "businessAddressZip": "101241",
            "businessPrimaryContactCountryCode": "NG",
            "businessPrimaryContactNo": "2348056789012",
            "businessPrimaryContactNoType": "Mobile",
            "businessDescription": "IT Equipment & Office Supplies Distribution",
            "businessEmail": "accounts@afritechsolutions.ng",
            "businessCountryCode": "NG",
            "businessRegistrationType": "Private Limited Company",
            "businessRegistrationNumber": "RC-7654321",
            "businessRegistrationIssuedBy": "Corporate Affairs Commission (CAC)",
            "businessRegistrationIssuedAt": "Abuja",
            "businessRegistrationIssueDate": "2017-06-18",
            "businessIDValidThru": "2037-06-18",
            "typeofbusiness": "Wholesale Trade",
            "businessPObox": "P.O. Box 67890",
            "businessMobile": "2348056789012"
        }
    }
}'

Responses

🟢200Success
application/json
Body

Example
{
    "message": "提示:请前往右上角的【环境管理】中将【前置URL】(http://prod-cn.your-api-server.com)更换为您自己的服务器地址!"
}
Modified at 2026-03-12 10:41:51
Previous
Transaction
Next
Request parameter list
Built with